

local function FixChatFrames()
	
	local tabHeight = 25
	local tabFontSize = 10
	
	for i = 1, NUM_CHAT_WINDOWS do
		local ChatFrame = _G[ "ChatFrame"..i ]
		local tab = _G[( "ChatFrame%dTab" ):format(i)]
		local tabGlow = _G[ ("ChatFrame%dTabGlow"):format(i) ]
		local tabText = _G[ ("ChatFrame%dTabText"):format(i) ]
		local tabStr =  tabText:GetText() 
		
		-- Set the frame strata och chat frames to medium
		ChatFrame:SetFrameStrata( "MEDIUM" )
			
		tabGlow:SetWidth( tabStr:len()*(tabFontSize/2)+ tabFontSize*2 )  -- [[this is a strange forumla, got to something about that ]]--
		tabGlow:SetHeight( tabHeight +10 )
		tabGlow:SetPoint( "BOTTOMLEFT", -2, -1 )		
		
		tabText:SetFont( "Interface\\AddOns\\QuiTweeks\\fonts\\Emblem.ttf", tabFontSize ) 
		tabText:SetTextColor( 1,1,1 )
		tabText:SetJustifyH( "LEFT" )
		tab:SetWidth( tabStr:len()*(tabFontSize/2)+ tabFontSize*2 )  
			
		tab.leftTexture:SetWidth( 0.0001 )
		tab.middleTexture:SetWidth( tabStr:len()*(tabFontSize/2)+ tabFontSize*2 )
		tab.rightTexture:SetWidth( 0.0001 )	
		
		tab.leftTexture:Hide()
		tab.middleTexture:Hide()
		tab.rightTexture:Hide()
		
		tab.leftHighlightTexture:Hide()
		tab.middleHighlightTexture:Hide()
		tab.rightHighlightTexture:Hide()
		
		tab.leftSelectedTexture:Hide()
		tab.middleSelectedTexture:Hide()
		tab.rightSelectedTexture:Hide()
		
		--[[ To get tab text at the same height over the chatframe, docked or not ]]--
		if( ChatFrame.isDocked ) then
			tab:SetHeight( tabHeight )
		else
			tab:SetHeight( tabHeight+3 )
		end
	end
	return true
end 
	
	
local FC = CreateFrame( "Frame" );
FC:RegisterEvent( "PLAYER_ENTERING_WORLD" )
FC:SetScript( "OnEvent", function( self, event, ... )
	
	--[[ Font settings ]]--
	STANDARD_TEXT_FONT = "Interface\\AddOns\\QuiTweeks\\fonts\\Emblem.ttf";
	UNIT_NAME_FONT   = "Interface\\AddOns\\QuiTweeks\\fonts\\Emblem.ttf";
	
	
	--[[ Chat tab flash ]]--
	ChatTypeInfo[ "OFFICER" ].flashTab = true
	ChatTypeInfo[ "PARTY" ].flashTab = true
	ChatTypeInfo[ "RAID" ].flashTab = true	
	ChatTypeInfo[ "GUILD" ].flashTab = true
	ChatTypeInfo[ "CHANNEL5" ].flashTab = true
	ChatTypeInfo[ "CHANNEL6" ].flashTab = true
	

	--[[ Set Alert Frame anchor ]]--
	AlertFrame:ClearAllPoints()
	AlertFrame:SetFrameStrata("HIGH")
	AlertFrame:SetPoint( "RIGHT",UIParent, -150, -200 ) 
	
	--[[ Set Loot frame anchor ]]--
	
	GroupLootContainer:ClearAllPoints()
	GroupLootContainer:SetFrameStrata("HIGH")
	GroupLootContainer:SetPoint( "TOP", AlertFrame, 0, 0 )
	
	--[[ Raid Warning ]]--
	RaidWarningFrame:SetScale( 0.8 )
	--RaidWarningFrame:SetFont( "Interface\\AddOns\\QuiTweeks\\fonts\\Emblem.ttf" )	
	
	--[[ Set Mini map strata]]--	
	Minimap:SetFrameStrata("HIGH")
	
		
	FixChatFrames()
	DEFAULT_CHAT_FRAME:AddMessage("QUI Tweeks : LOADED" )
	
end )

_G.hooksecurefunc("FCF_OpenNewWindow", FixChatFrames )
_G.hooksecurefunc("FCF_Tab_OnClick", FixChatFrames )
_G.hooksecurefunc("FCF_DockUpdate", FixChatFrames ) 
_G.hooksecurefunc("FCFTab_UpdateColors", FixChatFrames )
_G.hooksecurefunc("FCF_DockFrame", FixChatFrames )
_G.hooksecurefunc("FCF_UnDockFrame", FixChatFrames )
_G.hooksecurefunc("FCF_Close", FixChatFrames )	



